Summary: GNU Binary Utility Development Utilities
Name: binutils
Version: 2.8.1
Release: 3C1
Copyright: GPL
Group: Development/Tools
Source: ftp://prep.ai.mit.edu/pub/gnu/binutils-2.8.1.tar.gz
Patch: binutils-2.8.1-mips.patch
Patch1: binutils-2.8.1-gccbug.patch
Patch2: binutils-2.8.1-cobalt.patch
Patch3: binutils-2.8.1-cobalt2.patch
Patch4: binutils-2.8.1-mips_sections.patch
BuildRoot: /var/tmp/binutils-root

%changelog

* Mon Aug 02 1999 Tim Hockin <thockin@cobaltnet.com>

 - Added mips_sections patch to fix .dtors, .ctors, and .gcc_except_table 
   section relocations causing ld to abort().

* Mon Jul 26 1999 Tim Hockin <thockin@cobaltnet.com>

 - Added Cobalt patch from 2.8.1-1C1
 - Added workaround for old libbfd (which had __ucmpdi2 references) and this 
   new libbfd (which doesn't).  The newly built ranlib is needed to finish 
   the build, but it can't run with the old libbfd.  AARGH.

* Tue Jan 08 1998 Ralf Baechle <ralf@gnu.org>

 - Include the arch directory in the binary package
 - Workaround for GCC 2.7.2.x bug: don't include support for 64bit
   targets.  This also makes libbfd slightly faster.

* Wed Jul 30 1997 Ralf Baechle <ralf@gnu.org>

 - Create rpm package for MIPS based on gcc-2.7.2.3-6.src.rpm.

%description
binutils is a collection of utilities necessary for compiling programs. It
includes the assembler and linker, as well as a number of other
miscellaneous programs for dealing with executable formats.

%prep
%setup
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
target=`./config.guess | sed -e 's/-unknown//' -e 's/-mips//' -e s/-gnu//`
./configure --prefix=/usr --enable-shared $target
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s"
make info

%install
target=`./config.guess | sed -e 's/-unknown//' -e 's/-mips//' -e s/-gnu//`
echo /usr/$target >binutils-skel
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install install-info
gzip -q9f $RPM_BUILD_ROOT/usr/info/*.info*

install -m 644 libiberty/libiberty.a $RPM_BUILD_ROOT/usr/lib
install -m 644 include/libiberty.h $RPM_BUILD_ROOT/usr/include

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f binutils-skel
%doc README
/usr/bin/*
/usr/man/man1/*
/usr/include/*
/usr/lib/*
/usr/info*
